Project

General

Profile

Feature #35448

Tracker #32684: Ruby 3.0 support

Update roadie-rails to version 3 for Ruby 3 support

Added by Ewoud Kohl van Wijngaarden 3 months ago. Updated 1 day ago.

Status:
Closed
Priority:
Normal
Category:
Packaging
Target version:
-

Description

Currently we're using version 2.x while we need version 3 for formal Ruby 3 support.

Associated revisions

Revision dea42312 (diff)
Added by Ewoud Kohl van Wijngaarden 2 months ago

Refs #35448 - Update rubygem-roadie to 5.0.1

Revision 036b670b (diff)
Added by Ewoud Kohl van Wijngaarden 2 months ago

Refs #35448 - Update rubygem-roadie-rails to 3.0.0

Revision 507d0423 (diff)
Added by Ewoud Kohl van Wijngaarden 2 months ago

Fixes #35448 - Update roadie-rails to 3.x

This has formal Ruby 3 support, even though there are no code
differences. It's a major version because it drops Ruby < 2.6.

Revision 19feeda8 (diff)
Added by Ewoud Kohl van Wijngaarden 2 months ago

Refs #35448 - Update foreman's roadie-rails dependency

History

#1 Updated by Ewoud Kohl van Wijngaarden 3 months ago

  • Description updated (diff)

#2 Updated by The Foreman Bot 3 months ago

  • Assignee set to Ewoud Kohl van Wijngaarden
  • Status changed from New to Ready For Testing
  • Pull request https://github.com/theforeman/foreman/pull/9389 added

#3 Updated by The Foreman Bot 3 months ago

  • Pull request https://github.com/theforeman/foreman-packaging/pull/8423 added

#4 Updated by The Foreman Bot 2 months ago

  • Fixed in Releases 3.5.0 added

#5 Updated by Ewoud Kohl van Wijngaarden 2 months ago

  • Status changed from Ready For Testing to Closed

#6 Updated by The Foreman Bot 2 months ago

  • Pull request https://github.com/theforeman/foreman-packaging/pull/8534 added

#7 Updated by Ewoud Kohl van Wijngaarden 1 day ago

  • Triaged changed from No to Yes
  • Category changed from E-Mail to Packaging

Also available in: Atom PDF